Namespace
library
Image / Tag
openjdk:15-ea-31
Content Digest
sha256:14c67f4e66bc9f1da04290a6e8be698e513ec5a3b19b3ddf168f3a97588cd379
Details
Created

2020-07-10 04:47:27 UTC

Size

242 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-15

JAVA_VERSION

15-ea+31

LANG

en_US.UTF-8

PATH

/usr/java/openjdk-15/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fa926a7d213a8145d6a906d68a085b21909a4b26871f142804e68b322bf8881f - 17.11% (41.4 MB)

[#001] sha256:22aed8993d2fb0bb3a658c631a1dfbd05c0e5d42218f419d18238996bd06ea08 - 5.81% (14.1 MB)

[#002] sha256:399efe90a4028b82e4497148b0900fe951140debb91cb0738aeb12a3fe4f8511 - 77.08% (187 MB)


History
2018-08-30 21:49:27 UTC

/bin/sh -c #(nop) MAINTAINER Oracle Linux Product Team <[email protected]>

2020-06-10 18:22:32 UTC

/bin/sh -c #(nop) ADD file:79bb5b8b89fe54ba99fd9d42d4f8774bfb9c1319ac3ead17a2005a3bde852451 in /

2020-06-10 18:22:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-06-10 18:39:27 UTC

/bin/sh -c set -eux; yum install -y gzip tar binutils freetype fontconfig ; rm -rf /var/cache/yum

2020-06-10 18:39:28 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8

2020-06-10 18:39:28 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-15

2020-06-10 18:39:28 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-15/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-07-10 04:46:40 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=15-ea+31

2020-07-10 04:47:27 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_linux-aarch64_bin.tar.gz; downloadSha256=27ef4fe5b302ff8804a86a7b455ebd16a5adbfb0f83cf8453026957a46088455; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_linux-x64_bin.tar.gz; downloadSha256=87a9314b733f711973093455f055a9f461a01a7c52dfe77d29da67d47795141b; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /openjdk.tgz "$downloadUrl"; echo "$downloadSha256 */openjdk.tgz" | sha256sum -c -; mkdir -p "$JAVA_HOME"; tar --extract --file /openjdk.tgz --directory "$JAVA_HOME" --strip-components 1; rm /openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; java --version; javac --version

2020-07-10 04:47:27 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2020-07-15 01:58:50 UTC

Size

2.34 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-15

JAVA_SHA256

0a97cdf251e6da9f867ba2699332735ce271048bf3213c9355ef078a991d2310

JAVA_URL

https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_windows-x64_bin.zip

JAVA_VERSION

15-ea+31


Layers

[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 68.31% (1.6 GB)

[#001] sha256:fc1b9e59edad2bf789457b52138acc367e86072b73bf862eaf96be70f4d4edbb - 23.53% (564 MB)

[#002] sha256:25edfecb5915de420000d722dc47ef9b13bc344a8330c4300e36a4ec8ca73033 - 0.0% (1.13 KB)

[#003] sha256:3ca5cb7caf11332b67bae426682385af17fa897c718adce9713b111340eb0d71 - 0.36% (8.71 MB)

[#004] sha256:47d284b2483b2f168e3ba6ac5972ceaa54db6f335b7cea2a7ba976ec79bceab7 - 0.0% (1.13 KB)

[#005] sha256:ae9df741ee75c4cf331249ca7555639e3d621263ed2b077eabfcb7e526e62959 - 0.01% (286 KB)

[#006] sha256:15303ffca33ffa6ca5a38d92d6e0b7ac6bc954db166e3ea04102ce1f55fe6343 - 0.0% (1.1 KB)

[#007] sha256:7650757961e8e3cd11a2c98e86d71422ec6e4ac26c26635477a076b31de5279d - 0.0% (1.1 KB)

[#008] sha256:b53385f3d7cee9e6b2a0b640edd6d3ce4b98837201328ad18333b80c34ef2001 - 0.0% (1.16 KB)

[#009] sha256:ca0531f012b3977e441449f2c16f1994764b57da4e0b18d7ed3dfd5e50da68c2 - 7.79% (187 MB)

[#010] sha256:d43a50945585eb137d7acbba66247e34a3eb4d0248dfaf7b95f1ed85e97399ad - 0.0% (1.09 KB)


History
2020-05-07 05:09:25 UTC

Apply image 1809-RTM-amd64

2020-07-08 04:26:49 UTC

Install update 1809-amd64

2020-07-14 18:41:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-07-15 01:45:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-07-15 01:56:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-15

2020-07-15 01:56:52 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-07-15 01:56:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=15-ea+31

2020-07-15 01:56:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_windows-x64_bin.zip

2020-07-15 01:56:55 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=0a97cdf251e6da9f867ba2699332735ce271048bf3213c9355ef078a991d2310

2020-07-15 01:58:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-07-15 01:58:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-07-15 02:03:22 UTC

Size

5.54 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-15

JAVA_SHA256

0a97cdf251e6da9f867ba2699332735ce271048bf3213c9355ef078a991d2310

JAVA_URL

https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_windows-x64_bin.zip

JAVA_VERSION

15-ea+31


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.36% (3.79 GB)

[#001] sha256:802c4beb8b091968ccf1bb4a853ded7955ddb79e6f8775a5155cb5ed07dcbcab - 28.01% (1.55 GB)

[#002] sha256:9a64f8d0454dba1fb133615caae6ab4d76b85b8be54102ee2ce5f7fd034edbff - 0.0% (1.1 KB)

[#003] sha256:ccabcd61311861039196ce34ec8b8b74f236a3b135a888ca230811c6f8a439bc - 0.17% (9.4 MB)

[#004] sha256:08489b93b58decf5c8556b628a7efab4affaeab05bbbce6dbd37befa0717d5b0 - 0.0% (1.1 KB)

[#005] sha256:c1523ffb63a480bebab9060b8dcd04922c340b99d6a3dfe0168eef164a279333 - 0.09% (5.09 MB)

[#006] sha256:e8b9b035c0a658d3b2743708f81da01872580f66b04e6ac59861d4306ac23bb0 - 0.0% (1.11 KB)

[#007] sha256:2fb3b911dab9f9f5187a69761613c39b8ecd1538195e6f2fa2731ba2fa0cf421 - 0.0% (1.17 KB)

[#008] sha256:2ad2d6515ee7908fec15ba18694cd5d70657c8cfc78fc46b6f85314d4a57d056 - 0.0% (1.13 KB)

[#009] sha256:a18c98659f3667e3d11322609eee2c0d70bee4305f35a1be61e215efeb7c9c56 - 3.38% (192 MB)

[#010] sha256:fd252fe63eba874ed134a852903d60b95c1744ed4e497321ff621d7258b76e5a - 0.0% (1.14 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-07-07 21:05:00 UTC

Install update ltsc2016-amd64

2020-07-14 18:34:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-07-15 01:50:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-07-15 01:59:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-15

2020-07-15 02:00:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-07-15 02:00:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=15-ea+31

2020-07-15 02:00:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_windows-x64_bin.zip

2020-07-15 02:00:36 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=0a97cdf251e6da9f867ba2699332735ce271048bf3213c9355ef078a991d2310

2020-07-15 02:03:21 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-07-15 02:03:22 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-07-10 02:34:38 UTC

Size

223 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-15

JAVA_VERSION

15-ea+31

LANG

en_US.UTF-8

PATH

/usr/java/openjdk-15/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9b791ce794f1b8ac779f7e2bb939c8f822209f7507dbc7f70d072d98b700e55a - 18.84% (42 MB)

[#001] sha256:8e7857b3d293f1062b1c04189b86491b9bbfd2e793fec6975e1bdcabf4ef9ed3 - 6.42% (14.3 MB)

[#002] sha256:0c3548e570ad2173fe1cd8b65c0bd4e7c45af3b00928fa908ab5a930509342e7 - 74.74% (167 MB)


History
2019-05-31 21:40:52 UTC

/bin/sh -c #(nop) MAINTAINER Oracle Linux Product Team <[email protected]>

2020-06-10 18:54:47 UTC

/bin/sh -c #(nop) ADD file:64c488ae0df14676929e149538eb50b12e9a99518a126c88ee9704e8a88424e5 in /

2020-06-10 18:54:49 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-06-10 19:12:05 UTC

/bin/sh -c set -eux; yum install -y gzip tar binutils freetype fontconfig ; rm -rf /var/cache/yum

2020-06-10 19:12:06 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8

2020-06-10 19:12:07 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-15

2020-06-10 19:12:07 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-15/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-07-10 02:33:50 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=15-ea+31

2020-07-10 02:34:35 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_linux-aarch64_bin.tar.gz; downloadSha256=27ef4fe5b302ff8804a86a7b455ebd16a5adbfb0f83cf8453026957a46088455; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk15/31/GPL/openjdk-15-ea+31_linux-x64_bin.tar.gz; downloadSha256=87a9314b733f711973093455f055a9f461a01a7c52dfe77d29da67d47795141b; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /openjdk.tgz "$downloadUrl"; echo "$downloadSha256 */openjdk.tgz" | sha256sum -c -; mkdir -p "$JAVA_HOME"; tar --extract --file /openjdk.tgz --directory "$JAVA_HOME" --strip-components 1; rm /openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; java --version; javac --version

2020-07-10 02:34:38 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete